[linux-dvb] kernel 2.6.26 em28xx_dvb wrong firmware or other issue with HVR-900 rev A

Markus Rechberger mrechberger at gmail.com
Sat Aug 2 10:22:36 CEST 2008


On Sat, Aug 2, 2008 at 9:34 AM, Emanoil Kotsev <deloptes at yahoo.com> wrote:
> Hello everybody,
>
> I wanted to try kernel 2.6.26 but couldn't start DVB tv - the error was
>
> firmware: requesting xc3028-v27.fw
> xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
>
> I read this firmware is related to HVR-950 but I have HVR-900 rev A which was fine with the v4l-dvb-experimental tree that I have been using with kenrel 2.6.20 and 2.6.24.
>
> Now I can not compile the v4l-dvb-experimental anymore.
>

don't use v4l-dvb-experimental anymore (it contains reverse engineered
code which hurts a couple of devices) and jump over to the latest
version.

$ hg clone http://mcentral.de/hg/~mrec/em28xx-new
$ cd em28xx-new
$ ./build.sh build
$ ./build.sh install
$ rm -rf /lib/modules/`uname -r`/kernel/drivers/media/video/em28xx
$ depmod -a

(you don't have to bother about firmwares when doing so).

cheers,
Markus



More information about the linux-dvb mailing list